/*global*/
*{
    margin: 0;
    overflow-x: hidden;
}

.NavigationBar {
    overflow: hidden;
    background-color: #E2DCCE;
    font-family: 'Jua';
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.headerLogo img{ 
    width: 100px;
    margin-right: 100px;
}

.nav-links a{
    display: block;
    font-size: 17px;
    padding: 40px;
    text-align: center;
    color:#3e1404;
    text-decoration: none;
    transition: background-color 0.3s ease, color 0.3s ease;

}
.nav-links a:hover{
    background-color: #3e1404;
    color: #E2DCCE;
    display: block;
}


.nav-links {
    display: flex;
    justify-content: center;
    width: 100%;

}

footer{
    width: 100%;
    bottom: 0px;
    padding-top: 100px;
    overflow: hidden;
    background-color: #f2bfa4;
    font-family: 'Jua';
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.Rules a{
    margin: 40px;
    font-size: 10px;
    text-align: center;
    color: #000;
    text-decoration: none;
}

.overlay {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    background-color: #E2DCCE ;
    overflow-x: hidden;
    transition: 0.5s;
}

.overlay-content {
    position: relative;
    top: 25%;
    width: 100%;
    text-align: left;
    margin-top: 35px;
}

.overlay a {
    padding: 8px;
    text-decoration: none;
    font-size: 30px;
    color: #3e1404;
    display: block;
    transition: 0.3s;
}

.overlay a:hover, .overlay a:focus {
    color: aliceblue;
}
.overlay .closebtn {
    position:absolute;
    top: 20px;
    right: 45px;
    font-size: 70px;
}

@media(max-width:768px) {
    .overlay a {font-size: 20px}
    .overlay .closebtn {
        font-size: 40px;
        top: 15px;
        right: 35px;
    }
    .overlay {
        display: block;
    }
    .nav-links {
        display: none;
    }
}
@media(min-width:769px) {
    .overlay {
        display: none;
    }
    .navbutton {
        display: none;
    }
}


/*homepage*/

main{
    background: linear-gradient(180deg, rgba(226,220,206,1) 75%, rgba(242,191,164,1) 100%); 
    background-repeat: repeat-x;
    background-color:rgba(226,220,206,1) ;
}




.home-page-img1 img{
    height: 200px;
    
}

.home-page-img2 img{
    height: 200px;
    
}

#home-page {
    background-color: aliceblue;
    border-color: aliceblue;
    border: 100px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
    grid-template-rows: auto;
    grid-template-areas: "ad2 ad1";
    max-width: 500px;
    column-gap: 100px;
    text-align: center;
    margin: auto;

    width: 30%;
    padding: 30px;
    border-radius: 2px;

}

.home-page-img1{
    grid-area: ad1; 
    text-align: justify;

}
.home-page-img2{
    grid-area: ad2;
    text-align: justify;
}


.banner-container{
    background-image: url(coffeebeans1-removebg-preview-removebg-preview.png);
    display: flex;
    align-items: center;
    justify-content: center;
}

.banner{
    background: rgb(242,191,164);
    background: linear-gradient(120deg, rgba(242,191,164,1) 25%, rgba(226,220,206,1) 50%, rgba(242,191,164,1) 75%);
    border-radius: 5px;
    margin: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    box-shadow: 0 5px 10px #000;
    overflow: hidden;

}

.christmascoffeebanner {
    flex: 1 1 250px;
    padding:15px;
    text-align: center;
}

.christmascoffeebanner img {
    width: 80%;
}

.santa{
    position: relative;
    padding: 10px;
    flex: 1 1 250px;
}


.content {
    flex: 1 1 250px;
    padding:10px;
    text-align: center;
    text-transform: uppercase;
}

.content h3 {
    color: aliceblue;
    font-size: 40px;
}

.content p {
    color: aliceblue;
    font-size: 20px;
    padding: 10px 0;
}

.viewbutton {
    display: block;
    height: 40px;
    width: 150px;
    line-height: 30px;
    background-color: aliceblue;
    color: #f2bfa4;
    margin-left: 33%;
    text-decoration: none;
    transition: background-color 0.3s ease, color 0.3s ease;
    border-radius: 4px;
}

.viewbutton:hover {
    color: aliceblue;
    background-color: #f2bfa4;
}

@media (max-width:865px){
    .santa{
        display: none;
    }
}
@media(max-width:768px) {

}